Skip to main content
GET
/
api
/
v1
/
esim
/
details
/
{transactionId}
Get eSIM details
curl --request GET \
  --url https://api.dancity.app/api/v1/esim/details/{transactionId} \
  --header 'Authorization: Bearer <token>'
{
  "success": true,
  "message": "eSIM details fetched successfully",
  "data": {
    "iccid": "8948010010013845234",
    "imsi": "260010183468325",
    "qrCodeUrl": "https://p.qrsim.net/4a8cf5af5f1c48e0b44f8eaf3af20220.png",
    "activationCode": "LPA:1$rsp-eu.simlessly.com$72056D3B588B49B4903120FC95BB96A4",
    "status": "GOT_RESOURCE",
    "totalVolume": 1073741824,
    "totalDuration": 7,
    "validityRemaining": 7,
    "dataUsageRemaining": 1073741824,
    "packageDetails": {
      "name": "Qatar 1GB 7Days",
      "code": "CKH513",
      "volume": 1073741824,
      "duration": 7,
      "location": "QA",
      "price": 1.7115,
      "currency": "USD",
      "locationLogo": "https://flagcdn.com/w320/qa.png",
      "description": "Qatar 1GB 7Days",
      "speed": "3G/4G/5G",
      "coverage": [
        {
          "locationName": "Qatar",
          "locationLogo": "https://flagcdn.com/w320/qa.png",
          "locationCode": "QA",
          "operatorList": [
            {
              "operatorName": "ooredoo",
              "networkType": "5G"
            }
          ]
        }
      ]
    },
    "createdAt": "2026-05-31T15:13:57.571Z",
    "expiredAt": "2026-11-27T15:13:58.000Z"
  }
}

Authorizations

Authorization
string
header
required

Merchant API key from the Dancity dashboard.

Path Parameters

transactionId
string
required

Mongo _id, tranxId, or customerRef from the eSIM purchase transaction.

Example:

"DNTY8374056F678V"

Response

OK